describe("Alchemy API",function(){
	
	describe("Initialization",function(){
		
		it("exists",function(){
			var api = new Alchemy.api();
		});
		
		describe("api key",function(){
			it("can be initialized",function(){
				var api = new Alchemy.api({apiKey:"12345"});
				expect(api.isValidKey()).toEqual(true);
			});
			
			it("initializes invalid api key by default",function(){
				var api = new Alchemy.api();
				expect(api.isValidKey()).toEqual(false);
			});
		});	
		
		describe("output mode",function(){
			it("can be initialized",function(){
				var api = new Alchemy.api({outputMode:"json"});
				expect(api.outputMode()).toEqual("json");
				api = new Alchemy.api({outputMode:"xml"});
				expect(api.outputMode()).toEqual("xml");
				api = new Alchemy.api({outputMode:"rdf"});
				expect(api.outputMode()).toEqual("rdf");
			});
			
			it("sets json by default",function(){
				var api = new Alchemy.api();
				expect(api.outputMode()).toEqual("json");
			});
		});	
		
		describe("host prefix",function(){
			it("can be initialized",function(){
				var api = new Alchemy.api({hostPrefix:"junk"});
				expect(api.hostPrefix()).toEqual("junk");
			});
			
			it("sets access by default",function(){
				var api = new Alchemy.api();
				expect(api.hostPrefix()).toEqual("access");
			});
		});
	});
	
	describe("text sentiment",function(){
		var api = new Alchemy.api({apiKey:"44411b553ed7b1a8ae0fdabb8fefcbe0abc3f876"});
		
		it("gets response from api call",function(){
			var sentiment = api.textGetTextSentiment("Bobby");
		});
	});
	
});

